Verify JJB when global-jjb is updated
[releng/global-jjb.git] / jjb-test / expected-xml / gerrit-ciman-jjb-verify
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <jenkins.model.BuildDiscarderProperty>
13       <strategy class="hudson.tasks.LogRotator">
14         <daysToKeep>7</daysToKeep>
15         <numToKeep>-1</numToKeep>
16         <artifactDaysToKeep>-1</artifactDaysToKeep>
17         <artifactNumToKeep>0</artifactNumToKeep>
18       </strategy>
19     </jenkins.model.BuildDiscarderProperty>
20     <hudson.model.ParametersDefinitionProperty>
21       <parameterDefinitions>
22         <hudson.model.StringParameterDefinition>
23           <name>PROJECT</name>
24           <description>Parameter to identify a Gerrit project. This is typically the
25 project repo path as exists in Gerrit.
26 For example: ofextensions/circuitsw
27 </description>
28           <defaultValue>releng/ciman</defaultValue>
29         </hudson.model.StringParameterDefinition>
30         <hudson.model.StringParameterDefinition>
31           <name>STREAM</name>
32           <description>Stream is often set to the same name as 'branch' but can
33 sometimes be used as a name representing a project's release code
34 name.
35 </description>
36           <defaultValue>master</defaultValue>
37         </hudson.model.StringParameterDefinition>
38         <hudson.model.StringParameterDefinition>
39           <name>GERRIT_PROJECT</name>
40           <description>Parameter to identify Gerrit project. This is typically the
41 project repo path as exists in Gerrit.
42 For example: ofextensions/circuitsw
43
44 Note that Gerrit will override this parameter automatically if a
45 job is triggered by Gerrit.
46 </description>
47           <defaultValue>releng/ciman</defaultValue>
48         </hudson.model.StringParameterDefinition>
49         <hudson.model.StringParameterDefinition>
50           <name>GERRIT_BRANCH</name>
51           <description>Parameter to identify a Gerrit branch.
52
53 Note that Gerrit will override this parameter automatically if a
54 job is triggered by Gerrit.
55 </description>
56           <defaultValue>master</defaultValue>
57         </hudson.model.StringParameterDefinition>
58         <hudson.model.StringParameterDefinition>
59           <name>GERRIT_REFSPEC</name>
60           <description>Parameter to identify a refspec when pulling from Gerrit.
61
62 Note that Gerrit will override this parameter automatically if a
63 job is triggered by Gerrit.
64 </description>
65           <defaultValue/>
66         </hudson.model.StringParameterDefinition>
67         <hudson.model.StringParameterDefinition>
68           <name>JJB_VERSION</name>
69           <description>Jenkins Job Builder version to download and install.</description>
70           <defaultValue>1.6.2</defaultValue>
71         </hudson.model.StringParameterDefinition>
72       </parameterDefinitions>
73     </hudson.model.ParametersDefinitionProperty>
74   </properties>
75   <scm class="hudson.plugins.git.GitSCM">
76     <configVersion>2</configVersion>
77     <userRemoteConfigs>
78       <hudson.plugins.git.UserRemoteConfig>
79         <name>origin</name>
80         <refspec>$GERRIT_REFSPEC</refspec>
81         <url>$GIT_URL/$GERRIT_PROJECT</url>
82         <credentialsId>test-credential</credentialsId>
83       </hudson.plugins.git.UserRemoteConfig>
84     </userRemoteConfigs>
85     <branches>
86       <hudson.plugins.git.BranchSpec>
87         <name>refs/heads/$GERRIT_BRANCH</name>
88       </hudson.plugins.git.BranchSpec>
89     </branches>
90     <excludedUsers/>
91     <buildChooser class="com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTriggerBuildChooser"/>
92     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
93     <authorOrCommitter>false</authorOrCommitter>
94     <wipeOutWorkspace>true</wipeOutWorkspace>
95     <pruneBranches>false</pruneBranches>
96     <remotePoll>false</remotePoll>
97     <gitTool>Default</gitTool>
98     <submoduleCfg class="list"/>
99     <relativeTargetDir/>
100     <reference/>
101     <gitConfigName/>
102     <gitConfigEmail/>
103     <skipTag>true</skipTag>
104     <scmName/>
105     <useShallowClone>false</useShallowClone>
106     <ignoreNotifyCommit>false</ignoreNotifyCommit>
107     <extensions>
108       <hudson.plugins.git.extensions.impl.SubmoduleOption>
109         <disableSubmodules>false</disableSubmodules>
110         <recursiveSubmodules>true</recursiveSubmodules>
111         <trackingSubmodules>false</trackingSubmodules>
112         <reference/>
113         <timeout>10</timeout>
114       </hudson.plugins.git.extensions.impl.SubmoduleOption>
115       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
116     </extensions>
117   </scm>
118   <triggers class="vector">
119     <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
120       <spec/>
121       <gerritProjects>
122         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
123           <compareType>ANT</compareType>
124           <pattern>releng/ciman</pattern>
125           <branches>
126             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
127               <compareType>ANT</compareType>
128               <pattern>**/master</pattern>
129             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
130           </branches>
131           <filePaths>
132             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
133               <compareType>ANT</compareType>
134               <pattern>**/*.sh</pattern>
135             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
136             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
137               <compareType>ANT</compareType>
138               <pattern>**/*.yaml</pattern>
139             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
140             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
141               <compareType>ANT</compareType>
142               <pattern>**/global-jjb</pattern>
143             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
144           </filePaths>
145           <disableStrictForbiddenFileVerification>false</disableStrictForbiddenFileVerification>
146         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
147       </gerritProjects>
148       <skipVote>
149         <onSuccessful>false</onSuccessful>
150         <onFailed>false</onFailed>
151         <onUnstable>false</onUnstable>
152         <onNotBuilt>false</onNotBuilt>
153       </skipVote>
154       <silentMode>false</silentMode>
155       <silentStartMode>false</silentStartMode>
156       <escapeQuotes>true</escapeQuotes>
157       <noNameAndEmailParameters>false</noNameAndEmailParameters>
158       <readableMessage>false</readableMessage>
159       <dependencyJobsNames/>
160       <notificationLevel/>
161       <dynamicTriggerConfiguration>False</dynamicTriggerConfiguration>
162       <triggerConfigURL/>
163       <allowTriggeringUnreviewedPatches>false</allowTriggeringUnreviewedPatches>
164       <triggerOnEvents>
165         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
166           <excludeDrafts>false</excludeDrafts>
167           <excludeTrivialRebase>false</excludeTrivialRebase>
168           <excludeNoCodeChange>false</excludeNoCodeChange>
169         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
170         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginDraftPublishedEvent/>
171         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
172           <commentAddedCommentContains>recheck$</commentAddedCommentContains>
173         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
174       </triggerOnEvents>
175       <buildStartMessage/>
176       <buildFailureMessage/>
177       <buildSuccessfulMessage/>
178       <buildUnstableMessage/>
179       <buildNotBuiltMessage/>
180       <buildUnsuccessfulFilepath/>
181       <customUrl/>
182       <serverName>test-server</serverName>
183     </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
184   </triggers>
185   <builders>
186     <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
187       <managedFiles>
188         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
189           <fileId>jjbini</fileId>
190           <targetLocation>$HOME/.config/jenkins_jobs/jenkins_jobs.ini</targetLocation>
191           <variable/>
192         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
193       </managedFiles>
194     </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
195     <hudson.tasks.Shell>
196       <command>#!/bin/bash
197 # SPDX-License-Identifier: EPL-1.0
198 ##############################################################################
199 # Copyright (c) 2017 The Linux Foundation and others.
200 #
201 # All rights reserved. This program and the accompanying materials
202 # are made available under the terms of the Eclipse Public License v1.0
203 # which accompanies this distribution, and is available at
204 # http://www.eclipse.org/legal/epl-v10.html
205 ##############################################################################
206
207 # This script will make sure that there are no JIRA URLs in the commit
208 # message. JIRA URLs will break the its-jira plugin
209
210 # Ensure we fail the job if any steps fail.
211 # Do not treat undefined variables as errors as in this case we are allowed
212 # to have JIRA_URL undefined
213 set -e -o pipefail
214 set +u
215
216 if [ -n &quot;${JIRA_URL}&quot; ];
217 then
218   BASE_URL=$(echo $JIRA_URL | awk -F'/' '{print $3}')
219   JIRA_LINK=$(git rev-list --format=%B --max-count=1 HEAD | grep -io &quot;http[s]*://$BASE_URL/&quot; || true)
220   if [[ ! -z &quot;$JIRA_LINK&quot; ]]
221   then
222     echo 'Remove JIRA URLs from commit message'
223     echo 'Add jira references as: Issue: &lt;JIRAKEY&gt;-&lt;ISSUE#&gt;, instead of URLs'
224     exit 1
225   fi
226 fi
227
228 #!/bin/bash
229 # SPDX-License-Identifier: EPL-1.0
230 ##############################################################################
231 # Copyright (c) 2017 The Linux Foundation and others.
232 #
233 # All rights reserved. This program and the accompanying materials
234 # are made available under the terms of the Eclipse Public License v1.0
235 # which accompanies this distribution, and is available at
236 # http://www.eclipse.org/legal/epl-v10.html
237 ##############################################################################
238 echo &quot;---&gt; jjb-install.sh&quot;
239
240 # Ensure we fail the job if any steps fail.
241 # DO NOT set -u as virtualenv's activate script has unbound variables
242 set -e -o pipefail
243
244 virtualenv &quot;/tmp/v/jjb&quot;
245 # shellcheck source=/tmp/v/jjb/bin/activate disable=SC1091
246 source &quot;/tmp/v/jjb/bin/activate&quot;
247 pip install --quiet --upgrade pip
248 pip install --quiet --upgrade pipdeptree
249 pip install --quiet --upgrade &quot;jenkins-job-builder==$JJB_VERSION&quot;
250
251 echo &quot;----&gt; Pip Dependency Tree&quot;
252 pipdeptree
253
254 #!/bin/bash
255 # SPDX-License-Identifier: EPL-1.0
256 ##############################################################################
257 # Copyright (c) 2017 The Linux Foundation and others.
258 #
259 # All rights reserved. This program and the accompanying materials
260 # are made available under the terms of the Eclipse Public License v1.0
261 # which accompanies this distribution, and is available at
262 # http://www.eclipse.org/legal/epl-v10.html
263 ##############################################################################
264 echo &quot;---&gt; jjb-verify-job.sh&quot;
265
266 # Ensure we fail the job if any steps fail.
267 set -eu -o pipefail
268
269 jenkins-jobs -l DEBUG test --recursive -o archives/job-configs --exclude jjb-test jjb
270
271 # Sort job output into sub-directories. On large Jenkins systems that have
272 # many jobs archiving so many files into the same directory makes NGINX return
273 # the directory list slow.
274 pushd archives/job-configs
275 for letter in {a..z}
276 do
277     if [[ $(ls &quot;$letter&quot;* &gt; /dev/null 2&gt;&amp;1) -eq 0 ]]
278     then
279         mkdir &quot;$letter&quot;
280         find . -maxdepth 1 -type f -name &quot;$letter*&quot; -exec mv {} &quot;$letter&quot; \;
281     fi
282 done
283 popd
284
285 #!/bin/bash
286 # SPDX-License-Identifier: EPL-1.0
287 ##############################################################################
288 # Copyright (c) 2015 The Linux Foundation and others.
289 #
290 # All rights reserved. This program and the accompanying materials
291 # are made available under the terms of the Eclipse Public License v1.0
292 # which accompanies this distribution, and is available at
293 # http://www.eclipse.org/legal/epl-v10.html
294 ##############################################################################
295 echo &quot;---&gt; jjb-check-unicode.sh&quot;
296
297 if LC_ALL=C grep -r '[^[:print:][:space:]]' jjb/; then
298     echo &quot;Found files containing non-ascii characters.&quot;
299     exit 1
300 fi
301
302 echo &quot;All files are ASCII only&quot;
303 </command>
304     </hudson.tasks.Shell>
305     <hudson.tasks.Shell>
306       <command>#!/bin/bash
307 # SPDX-License-Identifier: EPL-1.0
308 ##############################################################################
309 # Copyright (c) 2016 The Linux Foundation and others.
310 #
311 # All rights reserved. This program and the accompanying materials
312 # are made available under the terms of the Eclipse Public License v1.0
313 # which accompanies this distribution, and is available at
314 # http://www.eclipse.org/legal/epl-v10.html
315 ##############################################################################
316 echo &quot;---&gt; gpg-verify-git-signature.sh&quot;
317
318 if git log --show-signature -1 | grep -E -q 'gpg: Signature made.*key ID'; then
319    echo &quot;Git commit is GPG signed.&quot;
320 else
321    echo &quot;WARNING: GPG signature missing for the commit.&quot;
322 fi
323
324 # Do NOT fail the job for unsigned commits
325 exit 0
326 </command>
327     </hudson.tasks.Shell>
328   </builders>
329   <publishers>
330     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
331       <buildSteps>
332         <hudson.tasks.Shell>
333           <command>#!/bin/bash
334 # SPDX-License-Identifier: EPL-1.0
335 ##############################################################################
336 # Copyright (c) 2017 The Linux Foundation and others.
337 #
338 # All rights reserved. This program and the accompanying materials
339 # are made available under the terms of the Eclipse Public License v1.0
340 # which accompanies this distribution, and is available at
341 # http://www.eclipse.org/legal/epl-v10.html
342 ##############################################################################
343 echo &quot;---&gt; sysstat.sh&quot;
344 set +e  # DON'T fail build if script fails.
345
346 OS=$(facter operatingsystem)
347 case &quot;$OS&quot; in
348     Ubuntu)
349         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
350
351         # Dont run the script when systat is not enabled by default
352         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
353             exit 0
354         fi
355     ;;
356     CentOS|RedHat)
357         SYSSTAT_PATH=&quot;/var/log/sa&quot;
358     ;;
359     *)
360         # nothing to do
361         exit 0
362     ;;
363 esac
364
365 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
366 mkdir -p &quot;$SAR_DIR&quot;
367 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
368 # convert sar data to ascii format
369 while IFS=&quot;&quot; read -r s
370 do
371     [ -f &quot;$s&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$s&quot; &gt; &quot;$SAR_DIR/sar${s//[!0-9]/}&quot;
372 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
373
374 # DON'T fail build if script fails.
375 exit 0
376 </command>
377         </hudson.tasks.Shell>
378         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
379           <managedFiles>
380             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
381               <fileId>jenkins-log-archives-settings</fileId>
382               <targetLocation/>
383               <variable>SETTINGS_FILE</variable>
384             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
385           </managedFiles>
386         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
387         <EnvInjectBuilder>
388           <info>
389             <propertiesContent>SERVER_ID=logs</propertiesContent>
390           </info>
391         </EnvInjectBuilder>
392         <hudson.tasks.Shell>
393           <command>#!/bin/bash
394 # SPDX-License-Identifier: EPL-1.0
395 ##############################################################################
396 # Copyright (c) 2017 The Linux Foundation and others.
397 #
398 # All rights reserved. This program and the accompanying materials
399 # are made available under the terms of the Eclipse Public License v1.0
400 # which accompanies this distribution, and is available at
401 # http://www.eclipse.org/legal/epl-v10.html
402 ##############################################################################
403 echo &quot;---&gt; create-netrc.sh&quot;
404
405 # Ensure we fail the job if any steps fail.
406 set -eu -o pipefail
407
408 NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
409 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
410     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
411     -v x:username -o &quot;:&quot; -v x:password \
412     &quot;$SETTINGS_FILE&quot;)
413
414 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
415 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
416 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
417
418 echo &quot;machine $machine login $user password $pass&quot; &gt; ~/.netrc
419 </command>
420         </hudson.tasks.Shell>
421         <hudson.tasks.Shell>
422           <command>#!/bin/bash
423 # SPDX-License-Identifier: EPL-1.0
424 ##############################################################################
425 # Copyright (c) 2017 The Linux Foundation and others.
426 #
427 # All rights reserved. This program and the accompanying materials
428 # are made available under the terms of the Eclipse Public License v1.0
429 # which accompanies this distribution, and is available at
430 # http://www.eclipse.org/legal/epl-v10.html
431 ##############################################################################
432 echo &quot;---&gt; lftools-install.sh&quot;
433
434 # Ensure we fail the job if any steps fail.
435 # DO NOT set -u as virtualenv's activate script has unbound variables
436 set -e -o pipefail
437
438 virtualenv --quiet &quot;/tmp/v/lftools&quot;
439 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
440 source &quot;/tmp/v/lftools/bin/activate&quot;
441 pip install --quiet --upgrade pip
442 pip install --quiet --upgrade &quot;lftools&lt;1.0.0&quot;
443
444 # pipdeptree prints out a lot of information because lftools pulls in many
445 # dependencies. Let's only print it if we want to debug.
446 # echo &quot;----&gt; Pip Dependency Tree&quot;
447 # pip install --quiet --upgrade pipdeptree
448 # pipdeptree
449
450 #!/bin/bash
451 # SPDX-License-Identifier: EPL-1.0
452 ##############################################################################
453 # Copyright (c) 2017 The Linux Foundation and others.
454 #
455 # All rights reserved. This program and the accompanying materials
456 # are made available under the terms of the Eclipse Public License v1.0
457 # which accompanies this distribution, and is available at
458 # http://www.eclipse.org/legal/epl-v10.html
459 ##############################################################################
460 echo &quot;---&gt; logs-deploy.sh&quot;
461
462 # Ensure we fail the job if any steps fail.
463 set -eu -o pipefail
464
465 set -x  # Trace commands for this script to make debugging easier.
466
467 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
468 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
469
470 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
471 then
472     set +x # Disable trace since we no longer need it
473
474     echo &quot;WARNING: Logging server not set&quot;
475 else
476     NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
477     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
478     BUILD_URL=&quot;${BUILD_URL}&quot;
479
480     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
481     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
482
483     set +x  # Disable trace since we no longer need it.
484
485     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
486 fi
487 </command>
488         </hudson.tasks.Shell>
489         <hudson.tasks.Shell>
490           <command>#!/bin/bash
491 # SPDX-License-Identifier: EPL-1.0
492 ##############################################################################
493 # Copyright (c) 2017 The Linux Foundation and others.
494 #
495 # All rights reserved. This program and the accompanying materials
496 # are made available under the terms of the Eclipse Public License v1.0
497 # which accompanies this distribution, and is available at
498 # http://www.eclipse.org/legal/epl-v10.html
499 ##############################################################################
500
501 # Clear log credential files
502 rm &quot;$SETTINGS_FILE&quot;
503 rm ~/.netrc
504 </command>
505         </hudson.tasks.Shell>
506         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
507           <regexp>^Build logs: .*</regexp>
508         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
509       </buildSteps>
510       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
511       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
512       <markBuildUnstable>false</markBuildUnstable>
513     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
514     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
515       <patterns>
516         <hudson.plugins.ws__cleanup.Pattern>
517           <pattern>**/*.jenkins-trigger</pattern>
518           <type>EXCLUDE</type>
519         </hudson.plugins.ws__cleanup.Pattern>
520       </patterns>
521       <deleteDirs>false</deleteDirs>
522       <cleanupMatrixParent>false</cleanupMatrixParent>
523       <externalDelete/>
524       <cleanWhenSuccess>true</cleanWhenSuccess>
525       <cleanWhenUnstable>true</cleanWhenUnstable>
526       <cleanWhenFailure>true</cleanWhenFailure>
527       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
528       <cleanWhenAborted>true</cleanWhenAborted>
529       <notFailBuild>true</notFailBuild>
530     </hudson.plugins.ws__cleanup.WsCleanup>
531   </publishers>
532   <buildWrappers>
533     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
534     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
535       <timeoutMinutes>10</timeoutMinutes>
536       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
537       <failBuild>true</failBuild>
538       <writingDescription>false</writingDescription>
539       <timeoutPercentage>0</timeoutPercentage>
540       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
541       <timeoutType>absolute</timeoutType>
542     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
543     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
544     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
545       <user>test-credential</user>
546     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
547     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
548   </buildWrappers>
549 </project>